/*-- ------ netsMarquee class ------ --*/
function netsMarquee(){}
//-- ------ #Parameters ------ --
netsMarquee.prototype.sName="tmpMarquee";

//-- Version --
//介绍、版本号与功能说明
netsMarquee.prototype.sVersion="Nets img panel version 1.0";
netsMarquee.prototype.sIntroduct="Nets img panel version 1.0";
//-- Private prototype --
netsMarquee.prototype.sSpeed=2;
netsMarquee.prototype.sWidth=730;
netsMarquee.prototype.sBox_T_Name="_Box";
netsMarquee.prototype.sBox_A_Name="_Marquee_A";
netsMarquee.prototype.sBox_B_Name="_Marquee_B";
netsMarquee.prototype.sBox_T=null;
netsMarquee.prototype.sBox_A=null;
netsMarquee.prototype.sBox_B=null;
netsMarquee.prototype.sHandle=0;

//-- ------ #Methods ------ --
netsMarquee.prototype.Initial=function(){
	this.sBox_T=document.getElementById(this.sName+this.sBox_T_Name);
	this.sBox_A=document.getElementById(this.sName+this.sBox_A_Name);
	this.sBox_B=document.getElementById(this.sName+this.sBox_B_Name);

	return 0;
}
netsMarquee.prototype.Move_L=function(){
	var tmpINT=0;
	if(this.sBox_T.style.marginLeft==""){
		this.sBox_T.style.marginLeft="0"+tmpCommon.sysPx;
	}
	tmpINT=parseInt(this.sBox_T.style.marginLeft);
	if((this.sWidth*-1)>tmpINT){
		tmpINT=0;
		this.sBox_T.style.marginLeft=tmpINT+tmpCommon.sysPx;
	}else{
		tmpINT=parseInt(this.sBox_T.style.marginLeft)-this.sSpeed
		this.sBox_T.style.marginLeft=tmpINT+tmpCommon.sysPx;
	}

	return 0;
}
netsMarquee.prototype.Move_T=function(){
	var tmpINT=0;
	if(this.sBox_T.style.marginTop==""){
		this.sBox_T.style.marginTop="0"+tmpCommon.sysPx;
	}
	tmpINT=parseInt(this.sBox_T.style.marginTop);
	if((this.sWidth*-1)>tmpINT){
		tmpINT=0;
		this.sBox_T.style.marginTop=tmpINT+tmpCommon.sysPx;
	}else{
		tmpINT=parseInt(this.sBox_T.style.marginTop)-this.sSpeed
		this.sBox_T.style.marginTop=tmpINT+tmpCommon.sysPx;
	}

	return 0;
}

